package com.bawei.common.log.service;

import com.bawei.system.remote.api.RemoteLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;
import com.bawei.common.core.constant.SecurityConstants;
import com.bawei.system.domain.SysOperLog;

/**
 * 异步调用日志服务
 *
 * @author bawei
 */
@Service
public class AsyncLogService
{
    @Autowired
    private RemoteLogService remoteLogService;

    /**
     * 保存系统日志记录
     */
    @Async
    public void saveSysLog(SysOperLog sysOperLog)
    {
        remoteLogService.saveLog(sysOperLog, SecurityConstants.INNER);
    }
}
